Bug 140585 - [RHEL3][PATCH] SIOCGHWADDR does not clear buffer for ppp connections
[RHEL3][PATCH] SIOCGHWADDR does not clear buffer for ppp connections
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-23 14:03 EST by Peter Martuccelli
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-18 09:28:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Martuccelli 2004-11-23 14:03:48 EST
Calling the SIOCGHWADDR ioctl on a ppp connection (specifically Dell's
racser ppp) returns success but does not place data into the request
buffer.  Therefore if the buffer was not cleared prior to the ioctl,
the result buffer will contain garbage data.  The ioctl should either
fail or clear the buffer.
----------
Action by: jordan_hargrave
Issue Registered
----------
Action by: fhirtz


fhirtz assigned to issue for Dell-Engineering.

Category set to: Kernel
Status set to: Waiting on Tech

----------
Action by: mdomsch
Patch for 2.4.21-20.EL.  Please apply to the earliest possible errata,
RHEL3 U5 if not sooner.
Similar patch submitted to netdev@oss.sgi.com to apply to 2.6, I'll
open a separate RHEL4 tracker.

File uploaded: net-core-dev.c-2.4.21-20.patch

----------
Action by: fhirtz


Summary edited.

----------
Action by: fhirtz



Issue escalated to Support Engineering Group by: fhirtz.

----------
Action by: wcheng
It would be nice if we have a test case associated with this. 

wcheng assigned to issue for Support Engineering Group.

----------
Action by: fhirtz
Would there happen to be a simple test case for this problem that we
could replicate with?

Status set to: Waiting on Client

----------
Action by: mdomsch
Anything that calls ioctl(SIOCGIFHWADDR) on the ppp0 device, without
first clearing out the request structure, will see it.  Our test case
was doing an snmpwalk command that returns the MAC address of the ppp0
device.  You've obviously got to have a ppp connection established at
the time to see this.


----------
Action by: mdomsch
Frank, can we get this escalated into bugzilla?  David Miller applied
my patch to 2.6, and we want this fixed in RHEL3 too.

Status set to: Waiting on Tech

----------
Action by: mdomsch
Escalated to Bugzilla
----------
Action by: mdomsch
Escalated to Bugzilla
----------
Action by: mdomsch
Escalated to Bugzilla
----------
Action by: mdomsch
Escalated to Bugzilla
----------
Action by: mdomsch
Escalated to Bugzilla
----------
Action by: wcheng
Well, in this case, we'll just escalate the issue.


Issue escalated to Sustaining Engineering by: wcheng.

----------
Action by: wcheng
SE, David Miller had applied this patch to 2.6 and the customer wants
the fix into RHEL 3.


----------
Action by: fhirtz
Matt,

We don't escalate directly into bugzilla from here. It goes into
engineering through a different process through IT. It's been
escalated for evaluation against RHEL3.


----------
Action by: bennet
Assigning to Peter for evaluation and consideration into
RHEL3.

peterm assigned to issue for Sustaining Engineering.

----------
Action by: peterm
Escalated to Bugzilla
Comment 3 John W. Linville 2004-11-29 09:37:01 EST

*** This bug has been marked as a duplicate of 140616 ***
Comment 4 Ernie Petrides 2004-12-23 18:13:54 EST
A fix for this problem has just been committed to the RHEL3 U5
patch pool this evening (in kernel version 2.4.21-27.5.EL).
Comment 5 Tim Powers 2005-05-18 09:28:41 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-294.html

Note You need to log in before you can comment on or make changes to this bug.